Broken Modules

Hi, I have a problem with my asternic_cdr module. My notices tell me it’s broken and i do not see it under the tools tab anymore. Also, my endpointman module is disabled because it needs to be upgraded. can anyone tell me how to fix the astern and upgrade the endpointman?

Thanks

What versions of Asterisk and FreePBX? Distro install or hand built?

freepbx is 2.6.0.1 asterisk is 1.4.36